#!/bin/sh

JAVA_HOME=${JAVA_HOME:-$(dirname $(dirname $(readlink -f $(which java))))}

if [ -z "$JAVA_HOME" ]; then
    echo "Can't find java executable"
    exit 1;
fi

LIB_DIR="/usr/local/lib/siprecmonitor"
BASE_CONFIG_DIR="/etc/siprecmonitor"
APP_CONFIG_DIR=${APP_CONFIG_DIR:-$BASE_CONFIG_DIR}
SPRING_CONFIG_PATH="file://$APP_CONFIG_DIR/"

echo "APP_CONFIG_DIR=$APP_CONFIG_DIR"
echo "log4j2 file: $APP_CONFIG_DIR/log4j2.xml"
echo "spring config file location: $SPRING_CONFIG_PATH"

exec $JAVA_HOME/bin/java "-Dlog4j.configurationFile=$APP_CONFIG_DIR/log4j2.xml" -cp "$LIB_DIR/*" "com.five9.siprec.monitor.App" --spring.config.location="$SPRING_CONFIG_PATH"
